# Record TCefViewDelegate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefViewDelegate = record`

## Description

Implement this structure to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefViewDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_view_delegate_capi.h">CEF source file: /include/capi/views/cef_view_delegate_capi.h (cef_view_delegate_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_preferred_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;`
| `get_minimum_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;`
| `get_maximum_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;`
| `get_height_for_width: function(self: PCefViewDelegate; view: PCefView; width: Integer): Integer; stdcall;`
| `on_parent_view_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer; parent: PCefView); stdcall;`
| `on_child_view_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer; child: PCefView); stdcall;`
| `on_window_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer); stdcall;`
| `on_layout_changed: procedure(self: PCefViewDelegate; view: PCefView; const new_bounds: PCefRect); stdcall;`
| `on_focus: procedure(self: PCefViewDelegate; view: PCefView); stdcall;`
| `on_blur: procedure(self: PCefViewDelegate; view: PCefView); stdcall;`
| `on_theme_changed: procedure(self: PCefViewDelegate; view: PCefView); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_preferred_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;`
This item has no description.

| `get_minimum_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;`
This item has no description.

| `get_maximum_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;`
This item has no description.

| `get_height_for_width: function(self: PCefViewDelegate; view: PCefView; width: Integer): Integer; stdcall;`
This item has no description.

| `on_parent_view_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer; parent: PCefView); stdcall;`
This item has no description.

| `on_child_view_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer; child: PCefView); stdcall;`
This item has no description.

| `on_window_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer); stdcall;`
This item has no description.

| `on_layout_changed: procedure(self: PCefViewDelegate; view: PCefView; const new_bounds: PCefRect); stdcall;`
This item has no description.

| `on_focus: procedure(self: PCefViewDelegate; view: PCefView); stdcall;`
This item has no description.

| `on_blur: procedure(self: PCefViewDelegate; view: PCefView); stdcall;`
This item has no description.

| `on_theme_changed: procedure(self: PCefViewDelegate; view: PCefView); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.